<?php
/**
 * Created by PhpStorm.
 * User: roc
 * Date: 2019/12/6
 * Time: 13:43
 */


use PHPUnit\Framework\TestCase;

class testAd extends TestCase
{
    private $channelId = "YW";
    private $token = "d468e90ee35fe7ccc9e8a027a33d42a5";

    public function testGetAd(){
        $obj = new \kwy\third_interface\Ad();
        $playCode = "TEST_PLATY_CODE";
        $device = [ //设备参数
            "deviceType" => "2",    //设备类型(1:手机；2:平板；3：智能电视;4:户外媒体)
            "osType" => "1",    //操作系统类型(1:Android; 2:IOS; 3:Windows)
            "osVersion" => "7.1",   //系统版本
            "vendor" => "商米",   //厂家(如:HUAWEI)
            "model" => "D2",   //设备型号(如HONOUR)
            "screenWidth" => "1024",    //设备屏幕宽(像素)
            "screenHeight" => "600",//设备屏幕高(像素)
        ];
        $udid = [   //设备识别码
            "imei" => "868765034372311",   //imei号	如果为移动端设备需要填写
            "mac" => "C8:64:C7:EC:CD:4B",    //mac地址
            "androidId" => "868765034372312",//Android系统android Id	android系统需要填写
        ];
        $network = [    //移动网络参数
            "ipv4" => "218.74.48.196",  //设备IP地址(如:192.168.1.123)
            "connectionType" => "100",  //联网方式(0:未知; 1:移动接入类型未知; 2:2G; 3:3G; 4:4G; 5:5G; 100:wifi; 101:以太网; 999:新型网络)
            "operatorType" => "2",  //运营商类型(1:移动;2:电信;3:联通;99:其他)
            "cellularId" => "", //基站id,非必传
        ];

        $obj->setProxy("127.0.0.1:8888");

        $adSlot = [
            "type" => "0",  //素材类型(0:随意 1:图片 2:视频)
            "duration" => "30", //空闲时长(秒)
            "adslotWidth" => "1024",    //广告位屏幕宽(像素)
            "adslotHeight" => "600",    //广告位屏幕高(像素)
        ];
        $result = $obj->setChannelId($this->channelId)
            ->setToken($this->token)
            ->getAd($playCode,$device,$udid,$network,$adSlot);
    }
}